header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100% !important;
    height: 60px;
    background-color: #262626;
    z-index: 2;
}

.mainhead {
    color: white;
    font-size: 20px;
    text-align: center;
    margin-top: 20px;
    margin-left: 20px;
    font-weight: bold !important;
    float: left;
    cursor: pointer;
 }

 #ffire {
    color: firebrick;
 }

 p {
     color: white;
 }

 .flex {
    display: flex;
    margin-top: 12px;
    float: none;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
 }

 ::placeholder {
    color: rgb(182, 182, 182);
 }

 
 .fa-spinner {
    color: white;
    font-size: 1.5em;
 }

 .header-icon {
     float: right;
     margin-top: 17px;
     color: white;
     font-size: 25px;
     cursor: pointer;
 }
 
 input {
    font-weight: bold;
    margin: 0 35px 20px;
    height: 35px;
    padding: 6px 15px;
    border-radius: 5px;
    outline: none;
    border: none;
    background: #F6F7F9;
    color: #748194;
    font-size: 14px;
    transition-duration: 0.8ms;
    z-index: 2;
    padding-right: 25px;
 }
 
 input:hover, input:focus {
    color: #748194;
    background-color: gainsboro;
 }

 .ng-valid:not(form) {
    border-left: 5px solid forestgreen;
 }
  
 .ng-invalid:not(form) {
    border-left: 5px solid firebrick;
 }

 .search-box {
     width: 300px;
     margin-top: 12px;
 }

 .fa-search {
    width: 10px;
    height: 10px;
    color: black;
    position: relative;
    left: -60px;
    top: 2px;
    z-index: 3;
 }

 .settings {
     margin-right: 20px;
     padding-right: 60px;
     width: 150px;
     float: right;
  overflow: hidden;
 }

 .settings-content{
    display: none;
    position: absolute;
    background-color: #F6F7F9;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    margin-top: 60px;
    cursor: pointer;
 }

 .settings-content p {
    float: none;
    color: #748194;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    text-align: left;
    margin: 0;
  }
  
  .settings-content p:hover {
    background-color: gainsboro;
  }
  
  .show {
    display: block;
  }

  .hide {
      display: none;
  }

  #booksSearchContainer{
     width: 300px;
     background-color: #F6F7F9;
     flex-direction: column;
     max-height: 300px;
     flex-wrap: nowrap;
     overflow: hidden;
     overflow-y: auto;
     margin: 0 auto;
      margin-top: -25px;

  }

  .book-container{
     width: 300px;
      background-color: #F6F7F9;
      height: 60px;
      padding: 5px;
      cursor: pointer;
  }

  .book-container:hover{
     background-color: gainsboro;
  }

  .bookImage {
   width: 50px;
   height: 50px;
   border-radius: 15px 15px 15px 15px;
   margin-left: 10px;
}

p{
   color: #748194;
   margin: 0;
}

.book-info-container{
   flex-direction: column;
   position: absolute;
   top:32px;
}

.ac {
   text-align: center;
}

.search-container {
   margin: 0 auto;
   text-align: center;
   padding-left: 10px;
}

a {
   color:honeydew;
   text-align: center;
   vertical-align: middle;
   font-weight: bold;
}

a:hover {
   text-decoration: underline;
   cursor: pointer;
   color:honeydew;
}

.my-bookstore-options{
   position: absolute;
   background-color: #F6F7F9;
   min-width: 160px;
   box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
   z-index: 1;
   margin-top: 60px;
   cursor: pointer;
}

.my-bookstore-options a {
   float: none;
   color: #748194;
   padding: 12px 16px;
   text-decoration: none;
   display: block;
   text-align: left;
   margin: 0;
 }

 .my-bookstore-options a:hover {
    text-decoration: underline;
 }
 
 .show {
   display: block;
 }

 .hide {
     display: none;
 }